# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Convert to/from RFC1741 HQX7 (Mac BinHex)
Name:		perl-Convert-BinHex
Version:	1.119
Release:	9.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Convert-BinHex/
Source:		http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/Convert-BinHex-%{version}.tar.gz
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
Convert::BinHex - extract data from Macintosh BinHex files.

%prep
%setup -q -n Convert-BinHex-%{version}
%{__perl} -pi -e 's/^use lib .*$//' bin/*.pl
%{__perl} -pi -e 's/^(\@ISA.*)/require Exporter; $1/' t/Checker.pm
%{__chmod} -x docs/Convert/BinHex/redapple.gif

# Kludge to remove bogus Mac::Files dependency
%global reqfilt /bin/sh -c "%{__perl_requires} | %{__grep} -Fvx 'perl(Mac::Files)'"
%define __perl_requires %{reqfilt}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -m 755 bin/*.pl %{buildroot}%{_bindir}
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README* docs
%{_bindir}/binhex.pl
%{_bindir}/debinhex.pl
%{perl_vendorlib}/Convert/
%{_mandir}/man3/Convert::BinHex.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.119-9
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1.119-8
- Fix dist tag to work with RHEL6 Beta

* Sat Feb 20 2010 Paul Howarth <paul@city-fan.org> 1.119-7
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  8 2009 Paul Howarth <paul@city-fan.org> 1.119-6
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> 1.119-5
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 1.119-4
- Fix dist tag for development releases and Fedora 7 onwards
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org download URL
- BuildRequire perl(ExtUtils::MakeMaker)
- Define %%{__id_u} in a more portable way
- Simplify requires-filter

* Mon Jul 11 2005 Paul Howarth <paul@city-fan.org> 1.119-3
- Rewrite spec file in (mainly) Fedora Extras style
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc
- Fix binaries and %%check
- Add docs

* Tue May  3 2005 Paul Howarth <paul@city-fan.org> 1.119-2
- Remove dependency on Mac::Files, which is only needed for MacOS
- Put scripts in %%{_bindir} instead of %%{_docdir}

* Thu Jan 27 2005 Paul Howarth <paul@city-fan.org> 1.119-1
- Initial RPM build
